from django.db import models

class AuthorPassage(models.Model):
    author = models.ForeignKey("meleager.Author", on_delete=models.CASCADE)
    passage = models.ForeignKey("meleager.Passage", on_delete=models.CASCADE)
    user = models.ForeignKey("meleager_user.User", on_delete=models.CASCADE, null=True)
    timestamp = models.DateTimeField("timestamp", auto_now=True)

    class Meta:
        constraints = [
            models.UniqueConstraint(fields=['author', 'passage'], name='unique association between author and passage')
        ]