from django.db import models

class TextPassage(models.Model):
    text = models.ForeignKey("meleager.Text", on_delete=models.CASCADE)
    passage = models.ForeignKey("meleager.Passage", on_delete=models.CASCADE)
    user = models.ForeignKey("meleager_user.User", on_delete=models.CASCADE, null=True)
    timestamp = models.DateTimeField("timestamp", auto_now=True)

    class Meta:
        constraints = [
            models.UniqueConstraint(fields=['text', 'passage'], name='unique association between text and passage')
        ]