from django.db import models

from .helpers import Language
from .abstract import AbstractEditableResource


class Name(AbstractEditableResource, models.Model):
    name = models.TextField()
    language = models.ForeignKey(
        'meleager.Language', null=False, default='und', on_delete=models.SET_DEFAULT
    )

    def __str__(self):
        return f"{self.name} ({self.language})"
