class Turbo extends Stimulus.Controller {
    static get targets() {
        return ['wrapper']
    }

    static values = {
        url: String,
        fetch: Boolean,
    }

    fetchValueChanged() {
        function checkStatus(response) {
            if (response.status >= 200 && response.status < 300) {
                return response
            } else {
                const error = new Error(response.statusText)
                error.response = response
                throw error
            }
        }

        if (this.fetchValue) {
            fetch(this.urlValue)
                .then(checkStatus)
                .then((response) => response.text())
                .then((html) => {
                    const parser = new DOMParser()
                    const doc = parser.parseFromString(html, 'text/html')
                    const form = doc.querySelector('form')
                    this.wrapperTarget.innerHTML = form.outerHTML
                })
                .catch((error) => {
                    console.error('Failed to fetch page: ', error)
                    if (error.response.status === 403) {
                        this.wrapperTarget.innerHTML = `
                            <h1 style="color:red;padding:2rem;">
                                ${error.response.statusText}
                                (${error.response.status})
                            </h1>
                        `
                    }
                })
        }
    }
}
