from django.test import TestCase


class TestURNPassage(TestCase):
    fixtures = ["test_data.json"]

    def test_homepage_ok(self):
        resp = self.client.get("/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "42.12")
        self.assertContains(resp, "42.69abc")

    def test_passage1_ok(self):
        resp = self.client.get("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:42.12/")
        self.assertEqual(resp.status_code, 200)

    def test_passage2_ok(self):
        resp = self.client.get("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:42.69abc/")
        self.assertEqual(resp.status_code, 200)
