from django.urls import path

from ..views.authors import (AuthorDetail, AuthorList, PassageAuthorCreate,
                             PassageAuthorDelete)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageAuthorCreate.as_view(),
        name="passage-author-create",
    ),
    path(
        "passage/<int:passage_pk>/delete/<int:author_pk>/",
        PassageAuthorDelete.as_view(),
        name="passage-author-delete",
    ),
    path("", AuthorList.as_view(), name="author-list"),
    path("<int:pk>/", AuthorDetail.as_view(), name="author-detail"),
]
