from django.urls import path

from ..views.cities import (CityDetail, CityList, PassageCityCreate,
                            PassageCityDelete, ScholiumCityCreate,
                            ScholiumCityDelete)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageCityCreate.as_view(),
        name="passage-city-create",
    ),
    path(
        "passage/<int:passage_pk>/delete/<int:city_pk>/",
        PassageCityDelete.as_view(),
        name="passage-city-delete",
    ),
    path(
        "scholium/<int:scholium_pk>/create/",
        ScholiumCityCreate.as_view(),
        name="scholium-city-create",
    ),
    path(
        "scholium/<int:scholium_pk>/delete/<int:city_pk>/",
        ScholiumCityDelete.as_view(),
        name="scholium-city-delete",
    ),
    path("", CityList.as_view(), name="city-list"),
    path("<int:pk>/", CityDetail.as_view(), name="city-detail"),
]
