from django.urls import path

from ..views.passage_description import (PassageDescriptionCreate,
                                         PassageDescriptionDelete,
                                         PassageDescriptionUpdate)
from ..views.scholium_description import (ScholiumDescriptionCreate,
                                          ScholiumDescriptionDelete,
                                          ScholiumDescriptionUpdate)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageDescriptionCreate.as_view(),
        name="passage-description-create",
    ),
    path(
        "passage/<int:passage_pk>/<int:description_pk>/update/",
        PassageDescriptionUpdate.as_view(),
        name="passage-description-update",
    ),
    path(
        "passage/<int:passage_pk>/<int:description_pk>/delete/",
        PassageDescriptionDelete.as_view(),
        name="passage-description-delete",
    ),
    path(
        "scholium/<int:scholium_pk>/create/",
        ScholiumDescriptionCreate.as_view(),
        name="scholium-description-create",
    ),
    path(
        "scholium/<int:scholium_pk>/<int:description_pk>/update/",
        ScholiumDescriptionUpdate.as_view(),
        name="scholium-description-update",
    ),
    path(
        "scholium/<int:scholium_pk>/<int:description_pk>/delete/",
        ScholiumDescriptionDelete.as_view(),
        name="scholium-description-delete",
    ),
]
