from django.urls import path

from ..views.keywords import (KeywordDetail, KeywordList, PassageKeywordCreate,
                              PassageKeywordDelete, ScholiumKeywordCreate,
                              ScholiumKeywordDelete)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageKeywordCreate.as_view(),
        name="passage-keyword-create",
    ),
    path(
        "passage/<int:passage_pk>/<int:keyword_pk>/delete/",
        PassageKeywordDelete.as_view(),
        name="passage-keyword-delete",
    ),
    path(
        "scholium/<int:scholium_pk>/create/",
        ScholiumKeywordCreate.as_view(),
        name="scholium-keyword-create",
    ),
    path(
        "scholium/<int:scholium_pk>/<int:keyword_pk>/delete/",
        ScholiumKeywordDelete.as_view(),
        name="scholium-keyword-delete",
    ),
    path("", KeywordList.as_view(), name="keyword-list"),
    path("<int:pk>/", KeywordDetail.as_view(), name="keyword-detail"),
]
