from django.views import generic

from meleager.models import Text
from web.forms.text import AddTextForm

from . import AddContentPermReqMixin


class TextCreateMixin(
    AddContentPermReqMixin, generic.detail.SingleObjectMixin, generic.FormView
):
    form_class = AddTextForm
    template_name = "web/text/text_create.html"

    @staticmethod
    def create_object_from_form(form):
        return Text.objects.create(
            text=form.cleaned_data["text"],
            language=form.cleaned_data["language"],
        )

    def create_associate_from_form(self, form):
        passage = self.get_object()
        obj = self.create_object_from_form(form)
        passage.texts.add(obj)

        return obj
